import * as Backbone from 'backbone';
import { Widget } from 'phosphor-widget';
/**
 * A phosphor widget which wraps a `Backbone` view instance.
 */
export declare class BackboneViewWrapper extends Widget {
    /**
     * Construct a new `Backbone` wrapper widget.
     *
     * @param view - The `Backbone.View` instance being wrapped.
     */
    constructor(view: Backbone.View<any>);
}
