import { RenderMime } from 'jupyter-js-ui/lib/rendermime';
import { Application } from 'phosphide/lib/core/application';
import { Widget } from 'phosphor-widget';
import { JupyterServices } from '../services/plugin';
/**
 * The console extension.
 */
export declare const consoleExtension: {
    id: string;
    requires: (typeof JupyterServices | typeof RenderMime)[];
    activate: (app: Application, services: JupyterServices, rendermime: RenderMime<Widget>) => Promise<void>;
};
