import { Widget } from 'phosphor-widget';
/**
 * A phosphor widget which wraps an IFrame.
 */
export declare class IFrame extends Widget {
    /**
     * Create the main content node of an iframe widget.
     */
    static createNode(): HTMLElement;
    /**
     * Create a new iframe widget.
     */
    constructor();
    /**
     * Load a URL into the iframe.
     *
     * @param url - The URL to load into the iframe widget.
     */
    loadURL(url: string): void;
}
